aboutsummaryrefslogtreecommitdiffstats
path: root/tests/openpgp/decrypt-dsa.test
diff options
context:
space:
mode:
Diffstat (limited to 'tests/openpgp/decrypt-dsa.test')
-rwxr-xr-xtests/openpgp/decrypt-dsa.test10
1 files changed, 10 insertions, 0 deletions
diff --git a/tests/openpgp/decrypt-dsa.test b/tests/openpgp/decrypt-dsa.test
new file mode 100755
index 000000000..6dc7dc459
--- /dev/null
+++ b/tests/openpgp/decrypt-dsa.test
@@ -0,0 +1,10 @@
+#!/bin/sh
+
+. $srcdir/defs.inc || exit 3
+
+#info Checking decryption of supplied DSA encrypted file
+for i in "plain-1" ; do
+ $GPG $dsa_keyrings -o y --yes $srcdir/$i-pgp.asc
+ cmp $i y || error "$i: mismatch"
+done
+